# Class LocationProvider

- Defined in src/core/location/location.js:554

##### Index

### Constructors

constructor

### Properties

$get
hashPrefixConf
html5ModeConf

### Methods

getHashPrefix
getHtml5Mode
setHashPrefix
setHtml5Mode

## Constructors

### constructor

- new LocationProvider(): LocationProvider

  #### Returns LocationProvider

  - Defined in src/core/location/location.js:555

## Properties

### $get

$get: (
| string
| (
(
$rootScope: Scope,
$browser: Browser,
$rootElement: Element,
) => Location
)
)[] = ...

#### Type declaration

- string
- ($rootScope: Scope, $browser: Browser, $rootElement: Element) => Location
  - - ($rootScope: Scope, $browser: Browser, $rootElement: Element): Location

    - #### Parameters

      - $rootScope: Scope
      - $browser: Browser
      - $rootElement: Element

      #### Returns Location

- Defined in src/core/location/location.js:624

### hashPrefixConf

hashPrefixConf: string

- Defined in src/core/location/location.js:557
- Defined in src/core/location/location.js:573

### html5ModeConf

html5ModeConf: Html5Mode

- Defined in src/core/location/location.js:560

## Methods

### getHashPrefix

- getHashPrefix(): string

  Current hash prefix

  #### Returns string

  - Defined in src/core/location/location.js:580

### getHtml5Mode

- getHtml5Mode(): Html5Mode

  Returns html5 mode cofiguration

  #### Returns Html5Mode

  - Defined in src/core/location/location.js:620

### setHashPrefix

- setHashPrefix(prefix: string): void

  The default value for the prefix is `'!'`.

  #### Parameters

  - prefix: string

    Prefix for hash part (containing path and search)

  #### Returns void

  - Defined in src/core/location/location.js:572

### setHtml5Mode

- setHtml5Mode(mode: boolean | Html5Mode): void

  Configures html5 mode

  #### Parameters

  - mode: boolean | Html5Mode

    If boolean, sets `html5Mode.enabled` to value. Otherwise, accepts html5Mode object

  #### Returns void

  - Defined in src/core/location/location.js:590